Subject: bug#17437: 24.3; ispell uses typographically correct apostrophe as word boundary

From: "Tobias Getzner" <[email-masked]>
Date: Thu, 8 May 2014 14:15:17 +0200

When using the typographically correct apostrophe (“right single
quotation mark” U+2019), ispell will mark-up parts of words as typos.
E.g., in “doesn’t”, the part before the apostrophe will be highlighted
as a typo even if the spell-checker supports the apostrophe.

This bug occurs irrespective of the spell-checker, so I suppose that
ispell does its own tokenization and uses the apostrophe as a word
boundary. Instead, the apostrophe should correctly be treated as
word-internal punctuation and handed on to the actual spell-checker
program.

Best regards,
Tobias